summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-system/STB.install
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-09 03:14:58 (GMT)
commit5445907db788ab2c7c73ea19fc47d59c862fc6a3 (patch)
tree1b0a868eb5b9d6aa8e7835cbc49c05947b7c75fe /abs/mv-core/MythVantage-system/STB.install
parentabc83d46637ebc63479ec745f05ae392f404f04e (diff)
downloadlinhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.zip
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.gz
linhes_pkgbuild-5445907db788ab2c7c73ea19fc47d59c862fc6a3.tar.bz2
MythVantage-config (replaces live-installer) for MythVantage
MythVanate-system (replaces STB-system)
Diffstat (limited to 'abs/mv-core/MythVantage-system/STB.install')
-rw-r--r--abs/mv-core/MythVantage-system/STB.install113
1 files changed, 113 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-system/STB.install b/abs/mv-core/MythVantage-system/STB.install
new file mode 100644
index 0000000..d10e0c1
--- /dev/null
+++ b/abs/mv-core/MythVantage-system/STB.install
@@ -0,0 +1,113 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+/bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+MVDIR=/usr/MythVantage/bin
+# ln -s $MVDIR/backup_job /etc/cron.daily/backup_cron
+# ln -s $MVDIR/update_system /etc/cron.daily/xupdate_system_cron
+ ln -s $MVDIR/repo_sync.sh /etc/cron.daily/zrepo_sync.sh
+ ln -s $MVDIR/myth_mtc.sh /etc/cron.daily/myth_mtc.sh
+
+ if [ ! -e /etc/cron.tenminutes ]
+ then
+ mkdir /etc/cron.tenminutes
+ fi
+
+ ln -s $MVDIR/grabkey.py /etc/cron.tenminutes/grabkey.py
+
+
+LINE="nobody ALL = NOPASSWD: /sbin/sv stop mythbackend"
+LINE1="nobody ALL = NOPASSWD: /sbin/sv start mythbackend"
+LINE2="nobody ALL = NOPASSWD: /usr/bin/backup_job"
+LINE3="nobody ALL = NOPASSWD: /bin/ls"
+LINE4="nobody ALL = NOPASSWD: /usr/bin/restore_job.sh"
+LINE5="nobody ALL = NOPASSWD: /usr/bin/update_system"
+LINE7="nobody ALL = NOPASSWD: /sbin/poweroff"
+LINE8="nobody ALL = NOPASSWD: /usr/bin/update_system_all"
+LINE9="nobody ALL = NOPASSWD: /usr/bin/func"
+LINE10="nobody ALL = NOPASSWD: /data/srv/hobbit/server/ext/hbfunc.py"
+LINE11="nobody ALL = NOPASSWD: /usr/bin/certmaster-ca"
+LINE12="nobody ALL = NOPASSWD: /sbin/reboot"
+LINE13="nobody ALL = NOPASSWD: /usr/MythVantage/bin/build_diskless.sh"
+LINE14="nobody ALL = NOPASSWD: /sbin/sv stop dnsmasq"
+LINE15="nobody ALL = NOPASSWD: /sbin/sv start dnsmasq"
+LINE16="nobody ALL = NOPASSWD: /sbin/sv hup dnsmasq"
+
+for i in "$LINE" "$LINE1" "$LINE2" "$LINE3" "$LINE4" "$LINE5" "$LINE7" "$LINE8" "$LINE9" "$LINE10" "$LINE11" "$LINE12" "$LINE13" "$LINE14" "$LINE15" "$LINE16"
+do
+ cp /etc/sudoers /etc/sudoers.bak
+ grep -q "$i" /etc/sudoers
+ if [ $? != 0 ]
+ then
+ echo "$i" >> /etc/sudoers
+ visudo -cf /etc/sudoers
+ if [ ! $? = 0 ]
+ then
+ cp /etc/sudoers.bak /etc/sudoers
+ echo $i
+ echo "Error adding files"
+ exit 1
+ fi
+ fi
+done
+
+REALTIME="session required pam_limits.so"
+grep -q "pam_limits.so" /etc/pam.d/su
+ if [ $? != 0 ]
+ then
+ echo "$REALTIME" >> /etc/pam.d/su
+
+ fi
+
+mkdir -p /data/home/mythtv/capture
+chown mythtv:mythtv /data/home/mythtv/capture
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ if [ -e /etc/cron.daily/backup_cron ]
+ then
+ rm -f /etc/cron.daily/backup_cron
+ fi
+ if [ -e /etc/cron.daily/xupdate_system_cron ]
+ then
+ rm -f /etc/cron.daily/xupdate_system_cron
+ fi
+
+ if [ -e /etc/cron.daily/myth_mtc.py ]
+ then
+ rm -f /etc/cron.daily/myth_mtc.py
+ fi
+
+
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*